> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Connector Schedule

> Invokes the c1.api.app.v1.ConnectorService.UpdateConnectorSchedule method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/connectors/{connector_id}/schedule
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/schedule:
    post:
      tags:
        - Connector
      summary: Update Connector Schedule
      description: >-
        Invokes the c1.api.app.v1.ConnectorService.UpdateConnectorSchedule
        method.
      operationId: c1.api.app.v1.ConnectorService.UpdateConnectorSchedule
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            readOnly: false
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: The connectorId field.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.UpdateConnectorScheduleRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.UpdateConnectorScheduleResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: UpdateConnectorSchedule
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.UpdateConnectorSchedule(ctx, operations.C1APIAppV1ConnectorServiceUpdateConnectorScheduleRequest{\n        AppID: \"<id>\",\n        ConnectorID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.UpdateConnectorScheduleResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.app.v1.UpdateConnectorScheduleRequestInput:
      description: >
        The UpdateConnectorScheduleRequest message.


        This message contains a oneof named schedule. Only a single field of the
        following list may be set at a time:
          - cron
      properties:
        cron:
          $ref: '#/components/schemas/c1.api.app.v1.ConnectorScheduleCron'
      title: Update Connector Schedule Request
      type: object
      x-speakeasy-name-override: UpdateConnectorScheduleRequest
    c1.api.app.v1.UpdateConnectorScheduleResponse:
      description: The UpdateConnectorScheduleResponse message.
      title: Update Connector Schedule Response
      type: object
      x-speakeasy-name-override: UpdateConnectorScheduleResponse
    c1.api.app.v1.ConnectorScheduleCron:
      description: The ConnectorScheduleCron message.
      nullable: true
      properties:
        cronSpec:
          description: The cronSpec field.
          readOnly: false
          type: string
        timezone:
          description: The timezone field.
          readOnly: false
          type: string
      title: Connector Schedule Cron
      type: object
      x-speakeasy-name-override: ConnectorScheduleCron
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````